Skip to content
GAMPEONCreate
New project

Report a job

POST
/v1/jobs/{id}/reports
curl --request POST \
--url https://api.gampeon.com/v1/jobs/1/reports \
--header 'Content-Type: application/json' \
--data '{ "category": "scam", "explanation": "example", "reporterName": "example", "reporterEmail": "hello@example.com", "goodFaith": true }'

Notice under Art. 16 DSA, also without an account. Name and email are required except for child_safety. A copy of the job is kept with the report.

Not available with access tokens.

Rate limit: 10 per hour per IP.

id
required
integer
>= 1

Job ID

Media typeapplication/json
object
category
required
string
Allowed values: scam illegal_work child_safety harassment hate_speech spam copyright other
explanation
required
string
>= 20 characters <= 5000 characters
reporterName
string
>= 2 characters <= 120 characters
reporterEmail
string format: email
<= 254 characters
goodFaith
required

Confirms the report is made in good faith

Report received (200 if you already reported it)

Media typeapplication/json
object
reportId
required
string
status
required
Allowed value: open

Example

{
"status": "open"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: good_faith_confirmation_required

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 10 per hour per IP. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback